Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
roles
Create organization role
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/roles \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_email": "jsmith@example.com",
  "role": "organization_guest"
}
'
{
  "user_email": "test_email@test.com",
  "role": "organization_editor"
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

Body

user_email
string<email>
required
role
enum<string>
required
  • organization_guest - Organization Guest
  • organization_viewer - Organization Viewer
  • organization_editor - Organization Editor
  • organization_owner - Organization Owner
Available options:
organization_guest,
organization_viewer,
organization_editor,
organization_owner

Response

201 - application/json

UserOrganizationRole created successfully.

user
string<uuid>
required
organization
string<uuid>
required
role
enum<string>
  • organization_guest - Organization Guest
  • organization_viewer - Organization Viewer
  • organization_editor - Organization Editor
  • organization_owner - Organization Owner
Available options:
organization_guest,
organization_viewer,
organization_editor,
organization_owner